Subject: [netmod] references to state data

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 13 May 2015 11:00:14 +0200

Hi,

I don’t want to reopen Y42 but maybe there are some related bits we could still consider.

One thing that I find really annoying is the restriction that configuration cannot refer to state data in leafrefs and must/when expressions. I understand it prevents the data modeller from doing some stupid things like defining a config leafref pointing to a statistics counter, but it also IMO makes tome clearly useful things impossible.

For example, ietf-system has platform information under system-state, and it would make a very good sense to have some config data conditional via “when", based on the platform.

Similarly, in order to be able to refer in configuration to a system-controlled interface, one needs to put the system-controlled interface into configuration as well, even though nothing is really configured for it.

Is that restriction really necessary? What about removing it in YANG 1.1?

Lada

--
Ladislav Lhotka, CZ.NIC Labs
PGP Key ID: E74E8C0C